package com.goafanti.order.bo;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;
import com.goafanti.common.model.TDunLog;

import java.util.Date;

public class TDunLogListBo extends TDunLog {

	private String userName;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getDumDate() {
		if (super.getDumTime() == null) {
			return null;
		} else {
			return DateFormatUtils.format(super.getDumTime(), AFTConstants.YYYYMMDD);
		}
	}
	public String getCreateDate() {
		if (super.getCreateTime() == null) {
			return null;
		} else {
			return DateFormatUtils.format(super.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
}
